Установите конкретную версию PHP на сервере Ubuntu 16.04

Мне нужна помощь. У меня есть сервер AWS EC2, работающий на Ubuntu 16.04. У меня вопрос, как мне установить конкретную версию PHP 7.3.12?

Я установил PHP, и он закончился в 7.3.14. Это будет проблемой, если у меня будет локальная среда с PHP 7.3.12? И как нам конкретно установить 7.3.12 на сервер Ubuntu?

Большое спасибо за вашу помощь.

Всего 1 ответ


У вас не будет проблем между PHP 7.3.12 и 7.3.14.

Версия разделена на 3 части: 7 (для основной версии) .3 (для текущей минорной версии) .12 (для исправлений).

Не пытайтесь выполнить PHP-код на двух разных основных версиях 5.0 / 7.0 из-за многих больших изменений.

Также не так много изменений в минорной версии, но, тем не менее, вы можете вести себя по-разному.

И последнее исправление ошибок, о котором вам не стоит беспокоиться. Полный список изменений вы можете найти в журнале изменений: https://www.php.net/ChangeLog-7.php#PHP_7_3

Версия с исправлениями выпускается всю жизнь поддерживаемой версии, например, PHP 7.3 будет иметь исправления безопасности до 6 декабря 2021 года. Актуальный список см. По адресу : https://www.php.net/supported-versions.php


Что касается другого вопроса, вы можете установить другую версию php с major minor (например, php 7.2 или php 7.3) в ubuntu и изменить путь команды php exec. Но вы не можете выбрать (не уверен на 100%) между php 7.3.12 и 7.3.14, потому что это исправления и это просто обновление.


Есть идеи?

10000